> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /clinicaltrials/studies/search

> Search ClinicalTrials.gov clinical studies

**Price:** 10 credits per 10 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/clinicaltrials/studies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/clinicaltrials/studies/search:
    post:
      tags:
        - /clinicaltrials
      summary: /clinicaltrials/studies/search
      description: |-
        Search ClinicalTrials.gov clinical studies

        **Price:** 10 credits per 10 results
      operationId: __api_clinicaltrials_studies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClinicaltrialsStudiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClinicaltrialsStudy'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClinicaltrialsStudiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        term:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        intervention:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        study_title:
          anyOf:
            - type: string
            - type: 'null'
        sponsor:
          anyOf:
            - type: string
            - type: 'null'
        outcome:
          anyOf:
            - type: string
            - type: 'null'
        overall_status:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClinicaltrialsOverallStatus'
              type: array
            - type: 'null'
        phase:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClinicaltrialsPhase'
              type: array
            - type: 'null'
        study_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClinicaltrialsStudyType'
              type: array
            - type: 'null'
        results:
          anyOf:
            - $ref: '#/components/schemas/ClinicaltrialsResultsAvailability'
            - type: 'null'
        sex:
          anyOf:
            - $ref: '#/components/schemas/ClinicaltrialsSex'
            - type: 'null'
        funder_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClinicaltrialsFunderType'
              type: array
            - type: 'null'
        nct_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        geo_latitude:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        geo_longitude:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        geo_distance_miles:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          default: 50
        advanced:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/ClinicaltrialsSortField'
          default: '@relevance'
        order:
          $ref: '#/components/schemas/ClinicaltrialsSortOrder'
          default: desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    ClinicaltrialsStudy:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsStudy
        id:
          type: string
        org_study_id:
          anyOf:
            - type: string
            - type: 'null'
        secondary_ids:
          items:
            $ref: '#/components/schemas/ClinicaltrialsSecondaryId'
          type: array
          default: []
        brief_title:
          anyOf:
            - type: string
            - type: 'null'
        official_title:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
        organization:
          anyOf:
            - type: string
            - type: 'null'
        organization_class:
          anyOf:
            - type: string
            - type: 'null'
        overall_status:
          anyOf:
            - type: string
            - type: 'null'
        last_known_status:
          anyOf:
            - type: string
            - type: 'null'
        status_verified_date:
          anyOf:
            - type: string
            - type: 'null'
        why_stopped:
          anyOf:
            - type: string
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        primary_completion_date:
          anyOf:
            - type: string
            - type: 'null'
        completion_date:
          anyOf:
            - type: string
            - type: 'null'
        study_first_post_date:
          anyOf:
            - type: string
            - type: 'null'
        last_update_post_date:
          anyOf:
            - type: string
            - type: 'null'
        results_first_post_date:
          anyOf:
            - type: string
            - type: 'null'
        has_expanded_access:
          anyOf:
            - type: boolean
            - type: 'null'
        lead_sponsor:
          anyOf:
            - $ref: '#/components/schemas/ClinicaltrialsSponsor'
            - type: 'null'
        collaborators:
          items:
            $ref: '#/components/schemas/ClinicaltrialsSponsor'
          type: array
          default: []
        responsible_party_type:
          anyOf:
            - type: string
            - type: 'null'
        responsible_party_name:
          anyOf:
            - type: string
            - type: 'null'
        responsible_party_title:
          anyOf:
            - type: string
            - type: 'null'
        responsible_party_affiliation:
          anyOf:
            - type: string
            - type: 'null'
        oversight_has_dmc:
          anyOf:
            - type: boolean
            - type: 'null'
        is_fda_regulated_drug:
          anyOf:
            - type: boolean
            - type: 'null'
        is_fda_regulated_device:
          anyOf:
            - type: boolean
            - type: 'null'
        is_us_export:
          anyOf:
            - type: boolean
            - type: 'null'
        brief_summary:
          anyOf:
            - type: string
            - type: 'null'
        detailed_description:
          anyOf:
            - type: string
            - type: 'null'
        conditions:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        study_type:
          anyOf:
            - type: string
            - type: 'null'
        is_patient_registry:
          anyOf:
            - type: boolean
            - type: 'null'
        phases:
          items:
            type: string
          type: array
          default: []
        allocation:
          anyOf:
            - type: string
            - type: 'null'
        intervention_model:
          anyOf:
            - type: string
            - type: 'null'
        intervention_model_description:
          anyOf:
            - type: string
            - type: 'null'
        primary_purpose:
          anyOf:
            - type: string
            - type: 'null'
        masking:
          anyOf:
            - type: string
            - type: 'null'
        observational_model:
          anyOf:
            - type: string
            - type: 'null'
        time_perspective:
          anyOf:
            - type: string
            - type: 'null'
        bio_spec_retention:
          anyOf:
            - type: string
            - type: 'null'
        bio_spec_description:
          anyOf:
            - type: string
            - type: 'null'
        enrollment_count:
          anyOf:
            - type: integer
            - type: 'null'
        enrollment_type:
          anyOf:
            - type: string
            - type: 'null'
        arm_groups:
          items:
            $ref: '#/components/schemas/ClinicaltrialsArmGroup'
          type: array
          default: []
        interventions:
          items:
            $ref: '#/components/schemas/ClinicaltrialsIntervention'
          type: array
          default: []
        primary_outcomes:
          items:
            $ref: '#/components/schemas/ClinicaltrialsOutcome'
          type: array
          default: []
        secondary_outcomes:
          items:
            $ref: '#/components/schemas/ClinicaltrialsOutcome'
          type: array
          default: []
        eligibility_criteria:
          anyOf:
            - type: string
            - type: 'null'
        healthy_volunteers:
          anyOf:
            - type: boolean
            - type: 'null'
        sex:
          anyOf:
            - type: string
            - type: 'null'
        is_gender_based:
          anyOf:
            - type: boolean
            - type: 'null'
        gender_description:
          anyOf:
            - type: string
            - type: 'null'
        minimum_age:
          anyOf:
            - type: string
            - type: 'null'
        maximum_age:
          anyOf:
            - type: string
            - type: 'null'
        std_ages:
          items:
            type: string
          type: array
          default: []
        study_population:
          anyOf:
            - type: string
            - type: 'null'
        sampling_method:
          anyOf:
            - type: string
            - type: 'null'
        central_contacts:
          items:
            $ref: '#/components/schemas/ClinicaltrialsContact'
          type: array
          default: []
        overall_officials:
          items:
            $ref: '#/components/schemas/ClinicaltrialsContact'
          type: array
          default: []
        locations:
          items:
            $ref: '#/components/schemas/ClinicaltrialsLocation'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/ClinicaltrialsReference'
          type: array
          default: []
        condition_meshes:
          items:
            $ref: '#/components/schemas/ClinicaltrialsMeshTerm'
          type: array
          default: []
        intervention_meshes:
          items:
            $ref: '#/components/schemas/ClinicaltrialsMeshTerm'
          type: array
          default: []
        ipd_sharing:
          anyOf:
            - type: string
            - type: 'null'
        ipd_sharing_description:
          anyOf:
            - type: string
            - type: 'null'
        ipd_sharing_info_types:
          items:
            type: string
          type: array
          default: []
        ipd_sharing_time_frame:
          anyOf:
            - type: string
            - type: 'null'
        ipd_sharing_access_criteria:
          anyOf:
            - type: string
            - type: 'null'
        ipd_sharing_url:
          anyOf:
            - type: string
            - type: 'null'
        documents:
          items:
            $ref: '#/components/schemas/ClinicaltrialsDocument'
          type: array
          default: []
        has_results:
          type: boolean
          default: false
        results_summary:
          anyOf:
            - $ref: '#/components/schemas/ClinicaltrialsResultsSummary'
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ClinicaltrialsOverallStatus:
      type: string
      enum:
        - RECRUITING
        - NOT_YET_RECRUITING
        - ACTIVE_NOT_RECRUITING
        - ENROLLING_BY_INVITATION
        - COMPLETED
        - SUSPENDED
        - TERMINATED
        - WITHDRAWN
        - AVAILABLE
        - NO_LONGER_AVAILABLE
        - TEMPORARILY_NOT_AVAILABLE
        - APPROVED_FOR_MARKETING
        - WITHHELD
        - UNKNOWN
    ClinicaltrialsPhase:
      type: string
      enum:
        - '0'
        - '1'
        - '2'
        - '3'
        - '4'
    ClinicaltrialsStudyType:
      type: string
      enum:
        - int
        - obs
        - exp
    ClinicaltrialsResultsAvailability:
      type: string
      enum:
        - with
        - without
    ClinicaltrialsSex:
      type: string
      enum:
        - m
        - f
    ClinicaltrialsFunderType:
      type: string
      enum:
        - nih
        - fed
        - industry
        - other_gov
        - indiv
        - network
        - other
        - unknown
    ClinicaltrialsSortField:
      type: string
      enum:
        - '@relevance'
        - LastUpdatePostDate
        - StudyFirstPostDate
        - EnrollmentCount
        - StartDate
        - CompletionDate
        - PrimaryCompletionDate
        - NumArmGroups
    ClinicaltrialsSortOrder:
      type: string
      enum:
        - asc
        - desc
    ClinicaltrialsSecondaryId:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsSecondaryId
        id:
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ClinicaltrialsSponsor:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsSponsor
        name:
          type: string
        sponsor_class:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ClinicaltrialsArmGroup:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsArmGroup
        label:
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
        intervention_names:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - label
    ClinicaltrialsIntervention:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsIntervention
        type:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        arm_group_labels:
          items:
            type: string
          type: array
          default: []
        other_names:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    ClinicaltrialsOutcome:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsOutcome
        measure:
          type: string
        time_frame:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - measure
    ClinicaltrialsContact:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsContact
        name:
          anyOf:
            - type: string
            - type: 'null'
        role:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ClinicaltrialsLocation:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsLocation
        facility:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
        contacts:
          items:
            $ref: '#/components/schemas/ClinicaltrialsContact'
          type: array
          default: []
      type: object
    ClinicaltrialsReference:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsReference
        pmid:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        citation:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ClinicaltrialsMeshTerm:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsMeshTerm
        id:
          type: string
        term:
          type: string
      type: object
      required:
        - id
        - term
    ClinicaltrialsDocument:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsDocument
        type_abbrev:
          anyOf:
            - type: string
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        upload_date:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
        has_protocol:
          anyOf:
            - type: boolean
            - type: 'null'
        has_sap:
          anyOf:
            - type: boolean
            - type: 'null'
        has_icf:
          anyOf:
            - type: boolean
            - type: 'null'
        filename:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ClinicaltrialsResultsSummary:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsResultsSummary
        recruitment_details:
          anyOf:
            - type: string
            - type: 'null'
        pre_assignment_details:
          anyOf:
            - type: string
            - type: 'null'
        population_description:
          anyOf:
            - type: string
            - type: 'null'
        outcome_measure_titles:
          items:
            type: string
          type: array
          default: []
        adverse_event_frequency_threshold:
          anyOf:
            - type: string
            - type: 'null'
        adverse_event_groups:
          items:
            $ref: '#/components/schemas/ClinicaltrialsAdverseEventGroup'
          type: array
          default: []
        point_of_contact:
          anyOf:
            - $ref: '#/components/schemas/ClinicaltrialsContact'
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ClinicaltrialsAdverseEventGroup:
      properties:
        '@type':
          type: string
          default: ClinicaltrialsAdverseEventGroup
        serious_num_affected:
          anyOf:
            - type: integer
            - type: 'null'
        serious_num_at_risk:
          anyOf:
            - type: integer
            - type: 'null'
        other_num_affected:
          anyOf:
            - type: integer
            - type: 'null'
        other_num_at_risk:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````